Bug 592783 - not all devel headers are C++ friendly
Summary: not all devel headers are C++ friendly
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-16 21:53 UTC by Suhan Andrei
Modified: 2010-06-28 15:44 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 15:44:30 UTC
Type: ---


Attachments (Terms of Use)

Description Suhan Andrei 2010-05-16 21:53:52 UTC
Description of problem:

sample include from cpp of nm-utils.h will give a link error because 
nm-utils.h fails to embed declartions into a exter "C" block.

while this is "hackable" is not elegant. It is more likely that the file lacks 
G_BEGIN_DECLS and G_END_DECLS: 

see here :
http://library.gnome.org/devel/glib/stable/glib-Miscellaneous-Macros.html#G-BEGIN-DECLS:CAPS

Version-Release number of selected component (if applicable):
NetworkManager-glib-devel-0.7.2.995-2.git20100225.fc11.x86_64

How reproducible:
always see contents of nm-utils.h

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Jirka Klimes 2010-05-18 08:26:42 UTC
Thanks for catching that.

Fixed in upstream: 5110fa7811cc8d68d2a61601e04e4fb4e9edc31f (master).

Comment 2 Bug Zapper 2010-06-28 15:44:30 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.